# $Revision: 1.17 $, $Date: 2012/03/20 21:42:28 $
#
# TODO: Make build as noarch
#
%include	/usr/lib/rpm/macros.mono
Summary:	Metadata library for most common movie and music formats
Name:		dotnet-taglib-sharp
Version:	2.0.4.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://download.banshee-project.org/taglib-sharp/%{version}/taglib-sharp-%{version}.tar.bz2
# Source0-md5:	c7e3b2d064e0429d168fa7498c47970e
Patch0:		%{name}-makefile.patch
URL:		http://taglib-sharp.com/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	dotnet-gnome-sharp-devel
BuildRequires:	exiv2-devel
BuildRequires:	libtool
BuildRequires:	mono-csharp
BuildRequires:	monodoc
BuildRequires:	pkgconfig
Provides:	taglib-sharp
Obsoletes:	taglib-sharp
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TagLib# is a metadata or "tag" reader and writer library that supports
the most common movie and music formats, abstracting away format
specificity. TagLib# offers either a common API for all formats or
access to specific APIs for a given format.

%package devel
Summary:	TagLib# development files
Summary(pl.UTF-8):	Pliki programistyczne TagLib#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	taglib-sharp-devel
Obsoletes:	taglib-sharp-devel

%description devel
TagLib# development files.

%description devel -l pl.UTF-8
Pliki programistyczne TagLib#.

%prep
%setup -q -n taglib-sharp-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-docs \
	--libdir=/usr/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_prefix}/lib/mono/gac/taglib-sharp
%{_prefix}/lib/mono/gac/policy.2.0.taglib-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/taglib-sharp
%{_npkgconfigdir}/taglib-sharp.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-taglib-sharp.spec,v $
Revision 1.17  2012/03/20 21:42:28  megabajt
- updated to 2.0.4.0

Revision 1.16  2010/03/21 20:23:53  megabajt
- updated to 2.0.3.7

Revision 1.15  2010/03/17 16:33:22  megabajt
- renamed to dotnet-taglib-sharp
- release 2

Revision 1.14  2010/03/12 09:37:42  patrys
- 2.0.3.6

Revision 1.13  2009/11/30 21:34:26  sparky
- BR: autoconf, automake, pkgconfig

Revision 1.12  2009/02/18 11:05:39  patrys
- rel 2
- force libdir until the package properly detects mono libdir

Revision 1.11  2009/02/17 14:18:56  patrys
- 2.0.3.2
- alternative (maintained) source
- patches merged upstream

Revision 1.10  2008/11/16 11:03:46  megabajt
- added -add_extensions_mimetypes_thorough_mpeg_checking.patch
- release 7

Revision 1.9  2008/06/11 09:37:03  patrys
- use mono macros
- guess what, rel 6

Revision 1.8  2008-06-11 09:17:02  patrys
- rel 5

Revision 1.7  2008-06-11 09:16:39  patrys
- devel R: main package
- added TODO

Revision 1.6  2008-06-11 09:11:46  patrys
- rel 4

Revision 1.5  2008-06-11 09:06:59  patrys
- rebuild autocrap

Revision 1.4  2008-06-11 08:55:46  patrys
- use $prefix/lib as gacdir
- rel 2

Revision 1.3  2008-06-11 08:45:10  patrys
- mouse-friendly download URI

Revision 1.2  2008-06-01 14:02:04  aredridel
- add -devel package

Revision 1.1  2008-06-01 13:59:03  aredridel
- added
